<?php include_once( "../../../../spider.inc.php" ); ?>
{charset:UTF-8}
{template:admin_default.tpl}
{module:shopping.product.download.Form}
{preset:page_title 'ショップ管理 > ' . SHOPPING_LABEL_PRODUCT . '管理 > CSVダウンロード'}

	<div class="panc">
		<a href="../../../">管理パネルトップ</a>
		&gt; <a href="../../">ショップ管理</a>
		&gt; <a href="../">{write:SHOPPING_LABEL_PRODUCT}管理</a>
		&gt; CSVデータダウンロード
	</div>

	<h1>
		ショップ管理 &gt; {write:SHOPPING_LABEL_PRODUCT}管理 &gt; CSVデータダウンロード
	</h1>
	
	{if:IS_ERROR}
	<ul class="error">
		{foreach:errors as error}
		<li>{write:error}</li>
		{/foreach}
	</ul>
	<p style="text-align:center;">
		<input type="button" value="{write:SHOPPING_LABEL_PRODUCT}管理に戻る" onclick="window.location.href='../'" />
	</p>
	{else}
	<p style="text-align:left;">
		検索結果から
		{write:shopping.product.download.totalCount}件の{write:SHOPPING_LABEL_PRODUCT}データをダウンロードします。<br />
		ダウンロードしたい登録項目を右側に順序どおり並べて[ダウンロード]ボタンをクリックしてください。
	</p>
	<br />
	<form name="mform" id="mform" action="./confirm.php" method="post">
	<table style="width:40em;margin:0 auto;">
	<tr>
		<th style="text-align:center;padding:3px;">選択項目</th>
		<th style="text-align:center;padding:3px;"></th>
		<th style="text-align:center;padding:3px;">ダウンロード項目</th>
	</tr>
	<tr>
		<td style="width:15em;">
			<select name="items[]" id="selectableItemBox" style="width:15em;height:20em;" multiple></select>
		</td>
		<td style="width:8em;text-align:center;">
			<input type="button" value="追加&gt;&gt;" onclick="shoppingProductDownloadAdd()" /><br />
			<input type="button" value="&lt;&lt;削除" onclick="shoppingProductDownloadDel()" />
		</td>
		<td style="width:15em;">
			<select name="selected_items[]" id="selectedItemBox" style="width:15em;height:20em;" multiple></select>
		</td>
	</tr>
	</tbody>
	</table>
	
	<p style="text-align:center;">
		<input type="button" value="ダウンロード" onclick="shoppingProductDownloadSubmit()"
		/><br />
	</p>
	</form>


<script language="JavaScript" type="text/javascript"><!--
// 選択可能リスト
var selectableItems	= new Array();
// 選択リスト
var selectedItems	= new Array();
// 選択可能セレクトボックス
var selectableBox	= null;
// 選択セレクトボックス
var selectedBox		= null;
/*
 * 初期化
 */
function shoppingProductDownloadInitialize() {
	// グローバルの選択可能リストと選択リストを初期化
	selectableItems	= new Array();
	selectedItems	= new Array();
	// 表示に利用するセレクトボックスを設定
	selectableBox	= document.getElementById('selectableItemBox');
	selectedBox		= document.getElementById('selectedItemBox');
	//
	var optionElm	= null; 
	{foreach:SHOPPING_PRODUCT_CSV_DEFINITION itemKey itemName}
	optionElm				= new Option('{write:itemName}','{write:itemKey}');
	optionElm.innerHTML		= optionElm.text;
	{if:in_array(itemKey,shopping.product.download.culumnSelectedArray)}
	selectedItems.push(optionElm);
	{else}
	selectableItems.push(optionElm);
	{/if}
	{/foreach}
	{foreach:SHOPPING_PRODUCT_UNIT_CSV_DEFINITION itemKey itemName}
	optionElm				= new Option('{write:itemName}','{write:itemKey}');
	optionElm.innerHTML		= optionElm.text;
	{if:in_array(itemKey,shopping.product.download.culumnSelectedArray)}
	selectedItems.push(optionElm);
	{else}
	selectableItems.push(optionElm);
	{/if}
	{/foreach}
	shoppingProductDownloadReview();
}
/**
 * 選択に追加
 */
function shoppingProductDownloadAdd() {
	var delPos	= 0;
	for( var num=0; num<selectableBox.length; num++ ) {
		if( selectableBox.options[num].selected ) {
			selectableBox.options[num].selected	= false;
			selectedItems.push(selectableBox.options[num]);
			selectableItems.splice(delPos,1);
			delPos--;
		}
		delPos++;
	}
	shoppingProductDownloadReview();
}
/**
 * 選択から削除
 */
function shoppingProductDownloadDel() {
	var delPos	= 0;
	for( var num=0; num<selectedBox.length; num++ ) {
		if( selectedBox.options[num].selected ) {
			selectedBox.options[num].selected	= false;
			selectableItems.push(selectedBox.options[num]);
			selectedItems.splice(delPos,1);
			delPos--;
		}
		delPos++;
	}
	shoppingProductDownloadReview();
}
/**
 * 再表示
 */
function shoppingProductDownloadReview() {
	selectableBox.length	= 0;
	for( var num=0; num<selectableItems.length; num++ ) {
		var optionElm			= selectableItems[num];
		optionElm.innerHTML		= optionElm.text;
		selectableBox.appendChild(optionElm);
	}
	selectedBox.length	= 0;
	for( var num=0; num<selectedItems.length; num++ ) {
		var optionElm			= selectedItems[num];
		optionElm.innerHTML		= optionElm.text;
		selectedBox.appendChild(optionElm);
	}
}
/**
 * submit機能
 */
function shoppingProductDownloadSubmit() {
	for( var num=0; num<selectedBox.length; num++ ) {
		selectedBox.options[num].selected	= true;
	}
	document.mform.submit();
}
if(window.attachEvent){
	window.attachEvent('onload',shoppingProductDownloadInitialize);
}else{
	window.addEventListener('DOMContentLoaded',shoppingProductDownloadInitialize,false);
}
//--></script>
	{/if}

	<hr style="width:96%;margin:0 auto;margin-top:1em;" />
	<div style="width:96%;margin:0 auto;text-align:right;">
		<a href="../">&gt;&gt; {write:SHOPPING_LABEL_PRODUCT}一覧へ戻る</a>
	</div>